Subject: [ippm] Net Neutrality Measurements: Regulatory Use Case and Problem Statement

From: Nieminen Klaus <[email-masked]>
Date: Wed, 1 Mar 2017 09:36:56 +0000

Dear all,

I gave a short presentation about this topic in IETF#97 and now I'm happy to inform that the ID has been published.
- https://datatracker.ietf.org/doc/draft-nieminen-ippm-nn-measurements/

I hope this helps to increase the understanding about  the net neutrality measurements including QoS measurements the European regulators are targeting. 

Here I would like to emphasis one aspect: Regulators are mainly interested in crowdsourcing solutions that means we have to take into account the limitations from different web browsers, operating systems and other end user environment dependent factors that may affect the measurement results. For example web browsers and apps cannot always use all protocols or mechanisms like raw sockets.  As the measurement environment is rather uncontrolled we should be able detect and/or measure metadata about the end-user environment to be able to recognize if there are end user environment dependent factors that affect the measurement results. Some are easy to detect, but e.g. cross traffic or firewalls are more challenging.

Some topics like speed measurements are better understood, but e.g. detecting throttling or prioritization of some applications is more challenging.

All input and comments are welcome,

Best,

- Klaus

----
Name:		draft-nieminen-ippm-nn-measurements
Revision:		00
Title:		Net Neutrality Measurements: Regulatory Use Case and Problem Statement
Document date:	2017-02-27
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/internet-drafts/draft-nieminen-ippm-nn-measurements-00.txt
Status:         https://datatracker.ietf.org/doc/draft-nieminen-ippm-nn-measurements/
Htmlized:       https://tools.ietf.org/html/draft-nieminen-ippm-nn-measurements-00

Abstract:
  This document describes a regulatory use case for net neutrality
  measurements based on the new European open internet regulation
  [1]. The purpose of this document is to give sufficient details
  for developing the actual net neutrality measurement metrics.

  This document describes the problem statement.  According to the
  Regulation European regulators has to supervise and enforce the net
  neutrality obligations.  Especially the reliability of measurement
  results is important.  However, monitoring net neutrality is a
  complex topic lacking standardized measurements.